.laundry-detail-card {
  background: #ffffff;
  border: 1px solid #ececec;
  box-sizing: border-box;
  box-shadow: 0px 5px 20px rgba(109, 109, 109, 0.08);
  border-radius: 3px;
  -webkit-appearance: none;
  padding: 0;
  width: 38vmax;
  display: none;
  position: sticky;
  top: 30px;
  margin-bottom: 2rem;

  &.show {
    display: block;
  }

  .laundry-detail-1 {
    display: flex;
    border-bottom: 1px solid #ececec;
    padding: 0.7rem;
    .laundry-detail-contents {
      display: flex;
      .laundry-detail-img {
        width: 10rem;
        object-fit: contain;
        // margin-right: 1rem;
      }

      .contents {
        display: flex;
        justify-content: space-between;
        .laundry-detail-name {
          font-size: 1rem;
          font-weight: bold;
          margin-top: 1.2rem;
        }
        .laundry-detail-courier {
          .laundry-icon {
            width: 1.5rem;
          }
        }
        .laundry-rating {
          text-align: right;
          margin-top: 1.2rem;
          margin-bottom: 1.8rem;
        }

        .laundry-hours {
          text-align: right;
          margin-bottom: 3rem;
          color: #aeaeae;
        }

        .btn-services {
          background: #ffffff;
          border: 1px solid #ff415b;
          box-sizing: border-box;
          border-radius: 4px;
          color: #ff415b;
          width: 9rem;
          height: 2rem;
          margin-left: 1.5rem;
        }
        .btn-services:hover {
          background: #ff415b;
          border: 1px solid #ffffff;
          color: #ffffff;
        }
      }
    }

    .laundry-detail-contents p {
      color: #2b495d;
      font-size: 0.8rem;
      // margin-left: 1rem;
      text-align: left;
    }
  }

  .laundry-detail-2 {
    display: flex;
    margin-top: 1rem;
    border-bottom: 1px solid #ececec;

    i.icon-service {
      display: flex;
      justify-content: center;
      align-items: center;
      border: 1px solid #d2d2d2;
      background-color: #ffffff;
      margin: 1rem 0 0 1rem;
      border-radius: 50%;
      height: 3rem;
      width: 3rem;
      box-shadow: 0px 5px 20px rgba(109, 109, 109, 0.08);
      img.laundry-detail-services {
        // width: 23px;
        height: 1.5em;
      }
    }

    .laundry-detail-services-contents-left {
      margin: 1rem;
      width: 12rem;
      display: flex;
      flex-direction: column;
      align-items: flex-start;

      .laundry-detail-types {
        color: #2b495d;
        font-size: 1.1rem;
      }
    }

    .laundry-detail-services-contents-right {
      margin: 1rem;
      width: 12rem;
      display: flex;
      flex-direction: column;
      align-items: flex-end;

      .laundry-detail-days {
        text-align: right;
        margin-bottom: 1.6rem;
      }
      .btn-detail-order {
        width: 4.5rem;
        height: 2.5rem;
        color: #ffff;
        background: #ff415b;
        border-radius: 4px;
        margin-right: auto;
      }
      .btn-detail-order:hover {
        background: #ffffff;
        color: #ff415b;
        border: 1px solid #ff415b;
      }
    }
  }

  .laundry-detail-services-contents p {
    font-size: 0.9rem;
    color: #898989;
  }

  .laundry-detail-3 {
    display: flex;
    margin-top: 1rem;

    i.icon-service {
      display: flex;
      justify-content: center;
      align-items: center;
      border: 1px solid #d2d2d2;
      background-color: #ffffff;
      margin: 1rem 0 0 1rem;
      border-radius: 50%;
      height: 50px;
      width: 50px;
      box-shadow: 0px 5px 20px rgba(109, 109, 109, 0.08);
      img.laundry-detail-services {
        width: 23px;
        height: 23px;
        object-fit: cover;
      }
    }

    .laundry-detail-services-contents-left {
      margin: 1rem;
      width: 12rem;
      display: flex;
      flex-direction: column;
      align-items: flex-start;

      .laundry-detail-types {
        color: #2b495d;
        font-size: 1.1rem;
      }
    }

    .laundry-detail-services-contents-right {
      margin: 1rem;
      width: 12rem;
      display: flex;
      flex-direction: column;
      align-items: flex-end;

      .laundry-detail-days {
        text-align: right;
        margin-bottom: 1.6rem;
      }
      .btn-detail-order {
        width: 4.5rem;
        height: 2.5rem;
        color: #ffff;
        background: #ff415b;
        border-radius: 4px;
        margin-right: auto;
      }
      .btn-detail-order:hover {
        background: #ffffff;
        color: #ff415b;
        border: 1px solid #ff415b;
      }
    }
  }
  .laundry-detail-btn {
    display: flex;
    justify-content: center;
    margin-bottom: 2rem;
    .btn-tnc {
      width: 20rem;
      height: 2.5rem;
      background: #ffffff;
      border: 1px solid #457899;
      box-sizing: border-box;
      border-radius: 4px;
      font-size: 16px;
      line-height: 20px;
      text-align: center;
      letter-spacing: -0.24px;
      color: #457899;
    }
  }
}

@media (max-width: 1024px) {
  .laundry-detail-card {
    width: 45vmax;
    .laundry-detail-1 {
      .laundry-detail-contents {
        .laundry-detail-img {
          width: 10rem;
        }
        .contents {
          .laundry-detail-name {
            font-size: 0.9rem;
          }
        }
      }
    }
  }
}

@media (max-width: 768px) {
  .laundry-detail-card {
    width: 45vh;
    .laundry-detail-1 {
      display: flex;
      flex-direction: column;

      .laundry-detail-contents {
        width: max-content;
        display: flex;
        flex-direction: column;
        .laundry-detail-img {
          width: 27rem;
        }
        .contents {
          display: flex;
          justify-content: space-around;
        }
      }
    }
  }
}
@media (max-width: 425px) {
  .laundry-detail-card {
    width: 36vmax;
    margin-top: 2rem;
    .laundry-detail-1 {
      display: flex;
      flex-direction: column;
      padding: 1rem;
      .laundry-detail-contents {
        width: max-content;
        display: flex;
        flex-direction: column;
        .laundry-detail-img {
          width: 35vmax;
        }
      }
    }

    .detail-mobile {
      display: block;
    }
  }
}
